%global _name enum34
%global _description enum34 is the new Python stdlib enum module available in Python 3.4 \
backported for previous versions of Python from 2.4 to 3.3. tested on 2.6, 2.7, and 3.3+.

Name:           python-%{_name}
Version:        1.1.6
Release:        8
Summary:        Python 3.4 Enum backported to 3.3, 3.2, 3.1, 2.7, 2.6, 2.5, and 2.4
License:        BSD
URL:            https://pypi.python.org/pypi/enum34
Source0:        https://files.pythonhosted.org/packages/source/e/enum34/%{_name}-%{version}.tar.gz

BuildArch:      noarch

%description
%{_description}

%package -n python2-%{_name}
Summary:        %summary
BuildRequires:  python2-devel python2-setuptools
%{?python_provide:%python_provide python2-enum34}

%description -n python2-%{_name}
%{_description}

%package_help

%prep
%autosetup -n %{_name}-%{version} -p1

%build
%py2_build

%install
%py2_install

%check
cd %{buildroot}/%{python2_sitelib}
PYTHONPATH=".:${PYTHONPATH}" %{__python2} enum/test.py


%files -n python2-%{_name}
%license enum/LICENSE
%{python2_sitelib}/*

%files help
%doc README PKG-INFO enum/doc/enum.rst

%changelog
* Wed Sep 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.1.6-8
- Package init
